﻿using System;
namespace UserService.Infrastructure.DataModels
{
    public class MembersMember
    {
        public Guid MemberId { get; set; }
        public Member? Member { get; set; }

        public Guid AttachedMemberId { get; set; }

        public Member? AttachedMember { get; set; }

        public override bool Equals(object obj) => Equals((MembersMember)obj);

        public bool Equals(MembersMember other)
        {
            return MemberId.Equals(other.MemberId) && AttachedMemberId.Equals(other.AttachedMemberId);
        }

        public override int GetHashCode()
        {
            unchecked
            {
                var hashCode = MemberId.GetHashCode();
                hashCode = (hashCode * 397) ^ AttachedMemberId.GetHashCode();
                return hashCode;
            }
        }
    }
}