using NUnit.Framework;
using System.Threading.Tasks;
using DataModels;
using UserService.DatabaseLayer.Repositories;

namespace UserService.Test
{
    public class Tests
    {
        [SetUp]
        public void Setup()
        {
        }

        [Test]
        public async Task Test1()
        {
            var usersRepository = new UsersRepository();
            var users = await usersRepository.GetAllAsync();
            Assert.AreEqual(users.Count, 1);
        }

        [Test]
        public async Task Test2()
        {
            var usersRepository = new UsersRepository();
            var user = new User
            {
                FirstName = "Holger", LastName = "Brchers", IsActive = true
            };
            await usersRepository.AddAsync(user);
        }
    }
}